#include <olectl.h>
// rgsedit.idl : IDL source for rgsedit.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (rgsedit.tlb) and marshalling code.


	[
		object,
		uuid(792C2CC5-3D03-11D0-A557-CC8FBDD93F0D),
		dual,
		helpstring("IRGSTree Interface"),
		pointer_default(unique)
	]
	interface IRGSTree : IDispatch
	{
		import "oaidl.idl";
		import "ocidl.idl";
// Properties
		[propput, id(100)]
		HRESULT RGSPath([in]BSTR pPath);
		[propget, id(100)]
		HRESULT RGSPath([out,retval]BSTR* ppPath);

	};
[
	uuid(792C2CC0-3D03-11D0-A557-CC8FBDD93F0D),
	version(1.0),
	helpstring("rgsedit 1.0 Type Library")
]
library RGSEDITLib
{
	importlib("stdole32.tlb");

	

	[
		uuid(792C2CC2-3D03-11D0-A557-CC8FBDD93F0D),
		helpstring("RGSEdit Class")
	]
	coclass CRGSEdit
	{
		[default] interface IRGSTree;
	};
	

	[
		uuid(792C2CC4-3D03-11D0-A557-CC8FBDD93F0D),
		helpstring("RGSTree Class")
	]
	coclass CRGSTree
	{
		[default] interface IRGSTree;
	};
};
